# Makefile for ELEC278 Tree examples
# Meant to be used with MSVC nmake command

# Must define THISDIR and CMDS (list of commands) before including makeincl
THISDIR	=	Trees
CMDS	=	bst.exe

!INCLUDE "/code/src/include/makeincl"

clean:
		del *.obj
		del *.exe
		del *.map

bst.h:		bst.c

bst.exe:	main.obj bst.obj
		cl /nologo /Febst /Fmbst bst.obj main.obj

main.obj:		main.c bst.h

bst.obj:		bst.c. bst.h

##### Rules for test components
# Note there are several tstbst executables, each dependant on a
# corresponding object file.  The object files depend on the same
# source files, but the compile command defines a different manifest
# for each one.

tstbst1.obj:	bst.c
		cl /nologo /Fotstbst1 /WX /DDEBUG1 bst.c

tstbst1.exe:	tstbst1.obj
		cl /nologo /Fetstbst1 tstbst1.obj

tstbst2.obj:	bst.c
		cl /nologo /Fotstbst2 /WX /DDEBUG2 bst.c

tstbst2.exe:	tstbst2.obj
		cl /nologo /Fetstbst2 tstbst2.obj
